
/*
  Copyright (C) 2002, 2008  Dmitry V. Levin <ldv@altlinux.org>

  Query for packages owning files.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#include "common.h"
#include <cstdio>
#include "rpmdbq.h"
#include "chkign.h"
#include "chksubst.h"

class   Query
{
	RPMDBQ *query;
	PkgMapType packages;
	CheckIgnore & chkign;
	CheckSubst & chksubst;

	Query (const Query &);
	Query & operator= (const Query &);

      public:
	Query (CheckIgnore & _chkign, CheckSubst & _chksubst, const char *prefix = 0) :
		chkign (_chkign), chksubst (_chksubst) { query = new RPMDBQ (prefix); }
	~Query () { delete query; query = 0; }
	int     filename (const char *fname);
	int     input (FILE * fp);
	int     args (int ac, const char *const *av);
	void    dump ();
};
